/**
    The main menu screen
    @Author Jonathan Saunders
    @Original <a href="mailto:matthewcasperson@gmail.com">Matthew Casperson</a>
    @class
*/
function MainMenu()
{
	
	//The type of menu this is
	this.type = 1;
	
	/*
	 * Types:
	 * 
	 * 1 = Main Menu
	 * 2 = Hop Countdown screen
	 * 
	 * Add more as needed
	 */
	
	//Used for timed menus
	this.timer = 0;
	this.length = 0;
	
    this.startupMainMenu = function(type)
    {
        this.type = type;
        
        //Determine what type of menu to display
        switch (this.type) {
        	
        	case 1: /*The actual main menu*/
        		this.startupVisualGameObject(g_ResourceManager.mainmenu, 0, 0, 1);
        		break;
        		
        	case 2: /*Hop screen (following success)*/
        		this.startupVisualGameObject(g_ResourceManager.winHop, 0, 0, 1);
        		this.length = 1;
        		break;
        		
        	case 3:/*Hop screen (following failure)*/
        		this.startupVisualGameObject(g_ResourceManager.loseHop, 0, 0, 1);
        		this.length = 1;
        		break;
        		
        	case 4: /*Instructions screen*/
        		this.startupVisualGameObject(g_ResourceManager.instructions, 0, 0, 1);
        		break;
        		
        	case 5: /*Era transition screen*/
        		this.startupVisualGameObject(g_ResourceManager.winHop, 0, 0, 1);
        		break;
        		
        	default:
        		this.startupVisualGameObject(g_ResourceManager.mainmenu, 0, 0, 1);
        		break;
        }
        return this;
    }

    /** Called when a key is pressed
        @param event Event Object  
        */
    this.onMouseDown = function(event)
    {
    	if (this.type == 4)
    	{
        	g_ApplicationManager.openMainMenu(1);
        }
    }
    
    this.touchEnd = function(event)
    {
    	if (this.type == 4)
    	{
        	g_ApplicationManager.openMainMenu(1);
        }
    }
    
    this.update = function(/**Number*/ dt, /**CanvasRenderingContext2D*/context, /**Number*/ xScroll, /**Number*/ yScroll)
    {
    	if (this.type == 2 || this.type == 3 || this.type == 5)
    	{
    		this.timer += dt;
    		if (this.type == 5 && this.length == 0 && this.timer > 1)
    		{
    			this.eraTransition();
    			this.timer = -this.length;
    		}
    		else if (this.timer > this.length && this.length != 0)
    		{
    			g_ApplicationManager.startLevel();
    		}
    	}
    }
    
    this.eraTransition = function()
    {
    	switch (g_Level)
    		{
    			case 1:
    				this.startupVisualGameObject(g_ResourceManager.presentEra, 0, 0, 1);
    				this.length = 6.905;
    				g_SoundManager.playSound(5.075, 11.98);
    				break;
    				
    			case 7:
    				this.startupVisualGameObject(g_ResourceManager.sixtiesEra, 0, 0, 1);
    				this.length = 7.955;
    				g_SoundManager.playSound(12.415, 20.37);
    				break;
    				
    			case 13:
    				this.startupVisualGameObject(g_ResourceManager.medievalEra, 0, 0, 1);
    				this.length = 7.37;
    				g_SoundManager.playSound(20.82, 28.19);
    				break;
    				
    			case 19:
    				this.startupVisualGameObject(g_ResourceManager.prehistoricEra, 0, 0, 1);
    				this.length = 7.81;
    				g_SoundManager.playSound(28.6, 36.41);
    				break;
    				
    			default:
    				g_ApplicationManager.startLevel();
    				break;
    		}
    }
    
}
MainMenu.prototype = new VisualGameObject;