/**
    Receives and stores a players movements. Is given to a CopyPlayer.
    @Author Jonathan Saunders
    @class
*/
function Recorder()
{
	
	this.direction = null;		// An array that holds the coordinates the player is moving towards
	this.duration = null;	// An array that holds for how long the player is moving in one direction
	
	this.ticks = 0;			// The amount of time that has passed since startup
	
	//Initializes this object
	this.startupRecorder = function()
	{
		this.startupGameObject(0,0,100);
		this.direction = new Array();
		this.duration = new Array();
		
		return this;
	}
	
	// Called by the player to record current direction  @param object to be recorded
	this.recordObject = function(/**Object*/ obj, frame)
	{
		this.direction.push(obj);
		if (frame == null)
		{
			this.duration.push(this.ticks);
		}
		else
		{
			this.duration.push(frame);
		}
	}
	
	
	this.update = function (/**Number*/ dt, /**CanvasRenderingContext2D*/context, /**Number*/ xScroll, /**Number*/ yScroll)
    {
    	this.ticks++;
    	
    }
	
	//Clean this object up
	this.shutdownRecorder = function()
	{
		this.shutdownGameObject();
	}
	
	this.shutdown = function()
	{
		this.shutdownRecorder();
	}
	
}
Recorder.prototype = new GameObject;