/**
    Stores all game sounds
    @Author Jonathan Saunders
    @class
*/
function SoundManager()
{
	
	this.soundProperties;	// @type Array
	this.sound;
	
	this.soundPlaying = false;     //True if a sound is playing, false otherwise
	
	this.length = 0;     //The length of the currently playing sound
	
	// Initializes this object
	this.startupSoundManager = function()
	{
		// set the global variable
		g_SoundManager = this;
		
		//gets sound object from the index
		this.sound = document.getElementById("audioid");
		this.sound.load();
		
        return this;
	}
	
	//plays a single sound
	this.playSound = function(start, end)
	{
		/*
			Player Get: 0.122 - 0.610
			Copy Get: 1.135 - 1.640
			Hop Success: 2.007 - 3.075
			Hop Failure: 3.580 - 4.615
			Modern Intro: 5.075 - 11.980
			60s Intro: 12.415 - 20.370
			Medieval Intro: 20.820 - 28.190
			Prehistoric Intro: 28.600 - 36.410
		*/
		if (!Boolean(navigator.userAgent.match(/(iPhone|iPod|iPad)/))) 
		{
			//Reseting from the last played bite
			this.sound.currentTime = 0;
			this.sound.pause();
			
			this.length = end-start;		//getting the length of the bite
			
			this.sound.currentTime = start;		//setting the begining of the bite
			this.sound.play();					//start playing the bite
			
			this.soundPlaying = true;
		}
		//document.getElementById("debug").innerHTML = 0;
	}
	
	//updates timer for sounds
	this.update = function(dt)
	{
		if (this.soundPlaying)
		{
			//creates a timer wich pauses the stream when the length of the bite has passed
			this.length -= dt;
			if (this.length <= 0)
			{
				this.sound.pause();
				this.soundPlaying = false;
			}
		}
	}

}
