/*
 * Obstacle that appears after a certain amount of time
 */

function TimedObstacle()
{
	//The amount of time until this object enters the game
	this.timer = 0;
	
	//The image this will use when created
	this.image = null;
	
	//A reference to the level currently being played
	this.level = null;
	
	//This animation will be used when created and then destroyed when completed
	this.anim = null;
	
	//Whether or not the animation has completed
	this.animated = false;
	
	this.startupTimedObstacle = function(image, xCoord, yCoord, timer, level)
	{
		this.x = xCoord;
		this.y = yCoord;
		this.image = image;
		this.timer = timer;
		this.level = level;
		this.startupGameObject(this.x, this.y, 4);
	}
	
	this.update = function(dt, context, xScroll, yScroll)
	{
		if ((this.timer <= .15) && (!this.animated))
		{
			//create the animation
			this.anim = new AnimatedGameObject().startupAnimatedGameObject(g_ResourceManager.portIn, this.x-(1120/4/2)+(this.image.width/2), this.y-300+(this.image.height/2), 20, 4, 30);
			
			this.animated = true;
		}
		
		if (this.timer <= 0)
		{
			//end the animation
	        this.anim.shutdown();
	        
	        //destroy this object
			this.shutdown();
			
			//add the obstacle and give it the image
			this.level.addObstacle(this.image, this.x, this.y, 4);
		}
		else this.timer -= dt;	//decrement timer
	}
}

TimedObstacle.prototype = new GameObject;
